Class | Estraier::Result
In: | estraier-doc.rb
Parent: | Object

Abstraction of result set from database.

### Methods

doc_num get_dbidx get_doc_id get_score get_shadows hint hint_words new

### Public Class methods

new()

Create a result set object.

### Public Instance methods

doc_num()

Get the number of documents. The return value is the number of documents in the result.

get_dbidx(index)

Get the index of the container database of a document. `index’ specifies the index of a document. The return value is the index of the container database of the document or -1 if the index is out of bounds.

get_doc_id(index)

Get the ID number of a document. `index’ specifies the index of a document. The return value is the ID number of the document or -1 if the index is out of bounds.

get_score(index)

Get the score of a document. `index’ specifies the index of a document. The return value is the score of the document or -1 if the index is out of bounds.

get_shadows(id)

Get an array of ID numbers of eclipsed docuemnts of a document. `id’ specifies the ID number of a parent document. The return value is an array whose elements expresse the ID numbers and their scores alternately.

hint(word)

Get the value of a hint word. `word’ specifies a hint word. An empty string means the number of whole result. The return value is the number of documents corresponding the hint word. If the word is in a negative condition, the value is negative.

hint_words()

Get an array of hint words. The return value is an array of hint words.

[Validate]